package com.muyu.group.domain.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.group.domain.TeamStrategyExemptionHundred;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "team_strategy_exemption_hundred",autoResultMap = true)
public class TeamStrategyExemptionHundredModel extends BaseEntity {
  /**
   * 持续时间
   */
  private long duration;
  /**
   * 最大购买量
   */
  private long maxBuy;
  /**
   * 单次购买量
   */
  private long oneBuy;
  /**
   * 虚拟人数
   */
  private long virtualNumber;
  //普通团
  public static TeamStrategyExemptionHundredModel normalBuild(GroupActivityModel groupActivityModel){
    return TeamStrategyExemptionHundredModel.builder()
            .duration(groupActivityModel.getGroupAging())
            .maxBuy(groupActivityModel.getMaxBuy())
            .oneBuy(groupActivityModel.getOneBuy())
            .virtualNumber(groupActivityModel.getVirtualNumber())
            .build();
  }
}
