package com.muyu.group.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.group.domain.model.ActivityTeamInfoListQueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author 15442
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class TeamInfoReq extends PageDomain {
    /**
     * 搜索关键词
     */
    private String keyWord;
    /**
     * 状态
     */
    private String status;

    /**
     * 团购活动列表模型
     * @return
     */
    public ActivityTeamInfoListQueryModel queryModel(){
        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build()
                .domainBuild(this);
    }
}
