package com.muyu.activity.controller;

import com.dtflys.forest.annotation.Post;
import com.muyu.group.domain.model.ActivityTeamInfoListModel;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.group.domain.req.GroupActivityInfoReq;
import com.muyu.group.domain.req.TeamInfoReq;
import com.muyu.group.domain.resp.TeamInfoListResp;
import com.muyu.activity.service.ActivityTeamInfoService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @program: cloud-server
 * @description: 营销团购活动控制层
 * @author: MengFanKuo
 * @create: 2024-11-20 21:40
 * *
 */
@Log4j2
@RestController
@RequestMapping("/team")
public class ActivityTeamController {

    public ActivityTeamController() {
        log.info("控制层对象实例化：{}", getClass().getName());
    }

    @Autowired
    private ActivityTeamInfoService activityTeamInfoService;
    /**
     * 查询拼团列表
     * @param teamInfoReq
     * @return
     */
    @PostMapping("/list")
    public Result<TableDataInfo<TeamInfoListResp>> teamList(@RequestBody TeamInfoReq teamInfoReq){
        TableDataInfo<ActivityTeamInfoListModel> modelTableDataInfo = activityTeamInfoService.query(teamInfoReq.queryModel());
        List<ActivityTeamInfoListModel> listModelList = modelTableDataInfo.getRows();
        List<TeamInfoListResp> listRespList = listModelList.stream().map(TeamInfoListResp::infoList).toList();
        TableDataInfo<TeamInfoListResp> dataInfo = new TableDataInfo<>();
        dataInfo.setRows(listRespList);
        dataInfo.setTotal(modelTableDataInfo.getTotal());
        return Result.success(dataInfo);
    }
    /**
     * 添加拼团活动
     */
    @PostMapping("/save")
    public Result saveGroupActivity(@RequestBody GroupActivityInfoReq groupActivityInfoReq){
        boolean success=activityTeamInfoService.seve(groupActivityInfoReq.inBuild());
        if (success){
            return Result.success("添加成功");
        }
        return Result.error("添加失败");
    }
}
