package com.muyu.activity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.group.domain.ActivityTeamOpenInfo;
import com.muyu.group.domain.muen.TeamOpenInfoEnum;

public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {
    /**
     * 根据活动id和团购类型查找开团和参团人数
     * @param teamId
     * @param teamOpenInfoEnum
     * @return
     */
    public Long getTeamOpenByTeamIdAndType(Long teamId, TeamOpenInfoEnum teamOpenInfoEnum);

    /**
     * 开团人数 open
     */
    public default Long getTeamOpenTeamId(Long teamId){
        return getTeamOpenByTeamIdAndType(teamId,TeamOpenInfoEnum.OPEN_TEAM);
    }
    /**
     * 参团人数  in
     */
    public default Long getTeamInTeamId(Long teamId){
        return getTeamOpenByTeamIdAndType(teamId,TeamOpenInfoEnum.IN_TEAM);
    }
}
