package com.muyu.activity.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.group.domain.ActivityTeamProductSkuInfo;
import com.muyu.group.domain.model.GroupActivitySkuInfoModel;
import com.muyu.group.domain.model.TeamDiscountPriceModel;
import com.muyu.group.domain.model.TeamStockModel;

import java.util.List;

public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo> {
    /**
     * 根据商品id查询拼团优惠力度最大的价格
     * @param teamId
     * @return
     */
    public TeamDiscountPriceModel getDisCountPrice(Long teamId);
    /**
     * 根据商品id查询剩余库存
     */
    public TeamStockModel getStock(Long teamId);

    /**
     * 提取的共有方法
     * @param teamId
     * @return
     */
    public default List<ActivityTeamProductSkuInfo> ownedByAl(Long teamId){
        //根据活动id查询
        LambdaQueryWrapper<ActivityTeamProductSkuInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamProductSkuInfo::getTeamId,teamId);
        List<ActivityTeamProductSkuInfo> teamProductSkuInfoList = this.list(queryWrapper);
        return teamProductSkuInfoList;
    }

}
