package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsAttributeGroup;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 属性组Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AttributeGroupMapper extends BaseMapper<AttributeGroup> {
    //属性中间组
    List<AsAttributeGroup> getAsAttributeGroup(@Param("id") Long id);
    //商品属性
    AttributeInfo getAttributeInfo(@Param("attributeId") Long attributeId);
    //属性组
    AttributeGroup getAttributeGroup(@Param("id") Long id);
    //删除中间表
    void deleteAsAttributeGroup(@Param("id") Long id);
    //添加中间表
    void addAsAttributeGroup(@Param("id") Long id, @Param("attributeIdList") List<Long> attributeIdList);

}
