package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.product.domain.req.RuleAttrInfoReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 规格详情Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface RuleAttrInfoMapper extends BaseMapper<RuleAttrInfo> {
    /**
     * 查询规格详情表
     * @param id
     * @return
     */
    List<RuleAttrInfo> getRuleAttrInfo(@Param("id") Long id);


    /**
     * 删除规格详情表
     * @param id
     */
    void deleteRule(@Param("id") Long id);

    /**
     * 修改商品规格表
     * @param id
     */
    void updRule(@Param("id") Long id, @Param("req") RuleAttrInfoReq req);
    /**
     *
     * @param id
     * @param name
     * @param valueData
     */
    void addRuleAttrModel(@Param("id") Long id, @Param("name") String name, @Param("valueData") String valueData);



}
